%global commit 208bcba9fa4bf0bc93a2abd131bc1f378f4e98cf
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:		libs3
Version:	4.0
Release:	0.4.20170206git%{shortcommit}%{?dist}
Summary:	C Library and Tools for Amazon S3 Access

Group:		System Environment/Libraries
License:	LGPLv3
URL:		https://github.com/bji/libs3
Source0:	https://github.com/bji/%{name}/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	curl-devel
BuildRequires:	libxml2-devel
BuildRequires:	openssl-devel

%description
This package includes the libs3 shared object library, needed to run
applications compiled against libs3, and additionally contains the s3
utility for accessing Amazon S3.

%package	devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q -n %{name}-%{commit}

sed -e 's!^CFLAGS +=!& %{optflags} -Wno-error=format-truncation!' \
    -e 's!^LDFLAGS =!& %{?__global_ldflags}!' \
    -e 's!install -Dps!install -Dp!' \
    -i GNUmakefile

%build
make %{?_smp_mflags} exported VERBOSE=1

%install
rm -rf %{buildroot}
make %{?_smp_mflags} install VERBOSE=1 \
     DESTDIR=%{buildroot}%{_prefix} LIBDIR=%{buildroot}%{_libdir}
rm %{buildroot}%{_libdir}/libs3.a
chmod 755 %{buildroot}%{_libdir}/libs3.so.4.0

%check
make %{?_smp_mflags} test VERBOSE=1

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%{_bindir}/s3
%{_libdir}/libs3.so.*
%{!?_licensedir: %doc COPYING LICENSE}
%{?_licensedir: %license COPYING LICENSE}

%files devel
%{_includedir}/libs3.h
%{_libdir}/libs3.so

%changelog
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 4.0-0.4.20170206git208bcba
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.0-0.3.20170206git208bcba
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.0-0.2.20170206git208bcba
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Feb 08 2017 Mattias Ellert <mattias.ellert@physics.uu.se> - 4.0-0.1.20170206git208bcba
- New github snapshot

* Thu Dec 01 2016 Mattias Ellert <mattias.ellert@fysast.uu.se> - 2.0-0.5.20161104gita052a00
- New github snapshot
- Drop fix for old nice lib on EPEL 5 (fixed upstream)

* Fri May 20 2016 Mattias Ellert <mattias.ellert@fysast.uu.se> - 2.0-0.4.20160322git0759f1d
- New github snapshot
- Drop patch libs3-format.patch (accepted upstream)

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.0-0.3.20150902git247ba1b
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Sep 23 2015 Mattias Ellert <mattias.ellert@fysast.uu.se> - 2.0-0.2.20150902git247ba1b
- Fix compilation on 32 bit archs

* Wed Sep 09 2015 Mattias Ellert <mattias.ellert@fysast.uu.se> - 2.0-0.1.20150902git247ba1b
- Initial package
